DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelTableSetRun

Initialises a pixel table run

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableSetRun ( table, run, coordinate, length )

## FUNCTION

This function initialises the `run`th run of the pixel table `table`, by setting the run's coordinate to `coordinate` and its length to `length`. The pixel table must at least consist of `run` number of runs ans has to be allocated (using `PixelTableNew`).

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable` | `table` | Pixel table
`dip_int` | `run` | The run to be initialised
`dip_IntegerArray` | `coordinate` | Coordinate of the run
`dip_int` | `length` | Length of the run

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableGetRun`, `PixelTableAddRun`, `PixelTableGetRuns`, `PixelTableGetDimensionality`, `PixelTableGetDimensions`, `PixelTableGetOrigin`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`

DIPlib on-line documentation | Function reference | Global function index